Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.collections.iterators
Class EnumerationIterator

    java.lang.Object
      org.apache.commons.collections.iterators.EnumerationIterator

All Implemented Interfaces:
  java.util.Iterator

    public class EnumerationIterator

extends java.lang.Object
implements java.util.Iterator

Adapter to make `Enumeration` instances appear to be `Iterator` instances.

Since:
  Commons Collections 1.0
Version:
  $Revision: 646777 $ $Date: 2008-04-10 13:33:15 +0100 (Thu, 10 Apr 2008) $
Author:
  James Strachan, Daniel Rall

Constructor Summary
`EnumerationIterator()` Constructs a new `EnumerationIterator` that will not function until `setEnumeration(Enumeration)` is called.
`EnumerationIterator(java.util.Enumeration enumeration)` Constructs a new `EnumerationIterator` that provides an iterator view of the given enumeration.
`EnumerationIterator(java.util.Enumeration enumeration, java.util.Collection collection)` Constructs a new `EnumerationIterator` that will remove elements from the specified collection.

Method Summary
`java.util.Enumeration` | `getEnumeration()` Returns the underlying enumeration.
`boolean` | `hasNext()` Returns true if the underlying enumeration has more elements.
`java.lang.Object` | `next()` Returns the next object from the enumeration.
`void` | `remove()` Removes the last retrieved element if a collection is attached.
`void` | `setEnumeration(java.util.Enumeration enumeration)` Sets the underlying enumeration.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EnumerationIterator

    public EnumerationIterator()

  Constructs a new `EnumerationIterator` that will not function until `setEnumeration(Enumeration)` is called.

### EnumerationIterator

    public EnumerationIterator(java.util.Enumeration enumeration)

  Constructs a new `EnumerationIterator` that provides an iterator view of the given enumeration.

  Parameters:
    `enumeration` - the enumeration to use

### EnumerationIterator

    public EnumerationIterator(java.util.Enumeration enumeration,
                               java.util.Collection collection)

  Constructs a new `EnumerationIterator` that will remove elements from the specified collection.

  Parameters:
    `enumeration` - the enumeration to use
    `collection` - the collection to remove elements form

Method Detail

### hasNext

    public boolean hasNext()

  Returns true if the underlying enumeration has more elements.

  Specified by:
    `hasNext` in interface `java.util.Iterator`
  Returns:
    true if the underlying enumeration has more elements
  Throws:
    `java.lang.NullPointerException` - if the underlying enumeration is null

### next

    public java.lang.Object next()

  Returns the next object from the enumeration.

  Specified by:
    `next` in interface `java.util.Iterator`
  Returns:
    the next object from the enumeration
  Throws:
    `java.lang.NullPointerException` - if the enumeration is null

### remove

    public void remove()

  Removes the last retrieved element if a collection is attached.

  Functions if an associated `Collection` is known. If so, the first occurrence of the last returned object from this iterator will be removed from the collection.

  Specified by:
    `remove` in interface `java.util.Iterator`
  Throws:
    `java.lang.IllegalStateException` - `next()` not called.
    `java.lang.UnsupportedOperationException` - if no associated collection

### getEnumeration

    public java.util.Enumeration getEnumeration()

  Returns the underlying enumeration.

  Returns:
    the underlying enumeration

### setEnumeration

    public void setEnumeration(java.util.Enumeration enumeration)

  Sets the underlying enumeration.

  Parameters:
    `enumeration` - the new underlying enumeration

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2008 The Apache Software Foundation. All Rights Reserved.